> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Collaborators

> List explicit collaborator roles on a project.

List all explicit collaborator roles assigned to a project. This returns users who have been directly granted access to the project, separate from access inherited through namespace or organization membership.


## OpenAPI

````yaml openapi.json GET /projects/{project_id}/collaborators
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /projects/{project_id}/collaborators:
    get:
      tags:
        - Projects
      summary: List Project Collaborators
      description: List explicit collaborator roles on a project.
      operationId: projects_list_collaborators
      parameters:
        - in: path
          name: project_id
          required: true
          schema:
            title: Project Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectCollaboratorsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ProjectCollaboratorsResponse:
      description: Response model for project collaborators list.
      properties:
        can_manage:
          description: Whether the current user can manage collaborators.
          title: Can Manage
          type: boolean
        collaborators:
          description: Project collaborators with explicit direct roles.
          items:
            $ref: '#/components/schemas/ProjectCollaboratorResponse'
          title: Collaborators
          type: array
      required:
        - can_manage
      title: ProjectCollaboratorsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ProjectCollaboratorResponse:
      description: Response model for project collaborator.
      properties:
        member_id:
          description: The WorkOS user ID of the collaborator.
          title: Member Id
          type: string
        role:
          description: Collaborator role.
          enum:
            - discoverer
            - viewer
            - editor
            - owner
          title: Role
          type: string
      required:
        - member_id
        - role
      title: ProjectCollaboratorResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````